<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.36
Name: [4] Pielęgniarska skala oceny trzymania moczu
Description: Szablon CDA dla pielęgniarskiej skali oceny trzymania moczu
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000">
   <title>[4] Pielęgniarska skala oceny trzymania moczu</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]"
         id="tmp-r-84924537-68bc-44a3-848b-a1c82bdeeee1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/@nullFlavor)">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']"
         id="tmp-r-14a72584-73ad-4c2a-810b-4d775fc31a1a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="string(@moodCode)='EVN'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaNursingUrinaryContinenceAssesmentEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36'] | self::hl7:id | self::hl7:code[@code='SNMOCZDO'][@code='SNMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich' and @displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych'] | self::hl7:code[@code='SNMOCZSO'][@code='SNMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich' and @displayName='Skala trzymania moczu - stany ostre'] | self::hl7:text | self::hl7:statusCode[@code='completed'] | self::hl7:effectiveTime | self::hl7:value[@xsi:type='CD' and @code='10025686' and @codeSystem='2.16.840.1.113883.6.97' and @codeSystemName='ICNP' and @displayName='Urinary incontinence'] | self::hl7:value[@codeSystem='2.16.840.1.113883.6.97'])])">(plCdaNursingUrinaryContinenceAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny trzymania moczu" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36']/@nullFlavor)">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:code[@code='SNMOCZDO']|hl7:code[@code='SNMOCZSO'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="$elmcount&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): wybór (hl7:code[@code='SNMOCZDO'] lub hl7:code[@code='SNMOCZSO']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:code[@code='SNMOCZDO'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:code[@code='SNMOCZDO'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:code[@code='SNMOCZSO'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:code[@code='SNMOCZSO'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36']"
         id="tmp-r-cdcaf0f8-3071-4e6e-9da1-239e0997a8b6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.36'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.36'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:id
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:id"
         id="tmp-r-b86c87b7-1ee4-4047-bd23-ee6ef016568d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:code[@code='SNMOCZDO']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:code[@code='SNMOCZDO']"
         id="tmp-r-a13d07d5-1a10-413a-9a89-cbe46f3f3772">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="@nullFlavor or (@code='SNMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich')">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić code 'SNMOCZDO' codeSystem '2.16.840.1.113883.3.4424.13.5.2' displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych' codeSystemName='Słownik nazw skal ocen pielęgniarskich'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:code[@code='SNMOCZSO']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:code[@code='SNMOCZSO']"
         id="tmp-r-752d5385-6982-47e4-a751-549d6b2fbd6d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="@nullFlavor or (@code='SNMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @displayName='Skala trzymania moczu - stany ostre' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich')">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić code 'SNMOCZSO' codeSystem '2.16.840.1.113883.3.4424.13.5.2' displayName='Skala trzymania moczu - stany ostre' codeSystemName='Słownik nazw skal ocen pielęgniarskich'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:text"
         id="tmp-r-152b7760-3700-46a7-a2a0-217506cf7699">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText): 
                    Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu
                </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:text/hl7:reference"
         id="tmp-r-314d8081-000a-4319-8f45-27e38c057f04">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText): 
                        Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                    </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:statusCode
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:statusCode"
         id="tmp-r-34ddf1a7-215a-4733-b5ac-f10e0fad7c55">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:effectiveTime
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:effectiveTime"
         id="tmp-r-eb1d66f7-8e67-42cc-81aa-1898fff366b0">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value"
         id="tmp-r-52fba7ff-8707-4f12-8027-882eef92cacc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="string(@code)='10025686'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @code MUSI wynosić '10025686'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaNursingUrinaryContinenceAssesmentEntry): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="string(@codeSystem)='2.16.840.1.113883.6.97'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @codeSystem MUSI wynosić '2.16.840.1.113883.6.97'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaNursingUrinaryContinenceAssesmentEntry): Atrybut @codeSystem MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="string(@codeSystemName)='ICNP'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @codeSystemName MUSI wynosić 'ICNP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(plCdaNursingUrinaryContinenceAssesmentEntry): Atrybut @codeSystemName MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="string(@displayName)='Urinary incontinence'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @displayName MUSI wynosić 'Urinary incontinence'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaNursingUrinaryContinenceAssesmentEntry): Atrybut @displayName MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:qualifier[hl7:name/@code = 'NMOCZDO'] | self::hl7:qualifier[hl7:name/@code = 'NMOCZSO'])])">(plCdaNursingUrinaryContinenceAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny trzymania moczu" występują niedozwolone elementy.</assert>
      <let name="elmcount"
           value="count(hl7:qualifier[hl7:name/@code = 'NMOCZDO']|hl7:qualifier[hl7:name/@code = 'NMOCZSO'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="$elmcount&gt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): wybór (hl7:qualifier[hl7:name/@code = 'NMOCZDO'] lub hl7:qualifier[hl7:name/@code = 'NMOCZSO']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="$elmcount&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): wybór (hl7:qualifier[hl7:name/@code = 'NMOCZDO'] lub hl7:qualifier[hl7:name/@code = 'NMOCZSO']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:qualifier[hl7:name/@code = 'NMOCZDO'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:qualifier[hl7:name/@code = 'NMOCZDO'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:qualifier[hl7:name/@code = 'NMOCZSO'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:qualifier[hl7:name/@code = 'NMOCZSO'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']"
         id="tmp-r-eec991f7-9628-4dcf-81db-17dbde8c5699">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')])&gt;=1 and not(hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')]/@nullFlavor)">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']/hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')]
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']/hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')]"
         id="tmp-r-52572ed8-e80a-4532-9a92-180680ee0dbe">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="@nullFlavor or (@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2' and @displayName='Stopień trzymania moczu' and @codeSystemName='Słownik wartości dla skali trzymania moczu w opiece domowej')">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić code 'NMOCZDO' codeSystem '2.16.840.1.113883.3.4424.13.5.3.2' displayName='Stopień trzymania moczu' codeSystemName='Słownik wartości dla skali trzymania moczu w opiece domowej'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']/hl7:value
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']/hl7:value"
         id="tmp-r-f56e56d3-d676-4caa-82fa-3e6c44c8bb5e">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.56-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić StopienNietrzymaniaMoczuSo Stopień trzymania moczu w stanach ostrych (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.56-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingUrinaryContinenceAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości StopienNietrzymaniaMoczuSo Stopień trzymania moczu w stanach ostrych (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']"
         id="tmp-r-e0c28306-c641-44ea-99c3-93a3cc12f614">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')])&gt;=1 and not(hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')]/@nullFlavor)">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']/hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')]
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']/hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')]"
         id="tmp-r-bcb90a5d-ca7a-436d-96d9-f6d34a198623">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="@nullFlavor or (@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3' and @displayName='Stopień trzymania moczu' and @codeSystemName='Słownik wartości dla skali trzymania moczu w stanach ostrych')">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić code 'NMOCZSO' codeSystem '2.16.840.1.113883.3.4424.13.5.3.3' displayName='Stopień trzymania moczu' codeSystemName='Słownik wartości dla skali trzymania moczu w stanach ostrych'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']/hl7:value
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']/hl7:value"
         id="tmp-r-562ae10f-9b71-4386-8e57-ced6f8edd0db">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.56-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić StopienNietrzymaniaMoczuSo Stopień trzymania moczu w stanach ostrych (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.56-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingUrinaryContinenceAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości StopienNietrzymaniaMoczuSo Stopień trzymania moczu w stanach ostrych (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value"
         id="tmp-r-89e09b13-1465-4d68-885d-a9e9902788fe">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
